NGMULTIDEC(1)

NAME
ngmultidec - make ngpice sub-circuit for coupled transmission lines

SYNOPSIS
ngmultidec [ options... ]

DESCRIPTION
ngmultidec writes an ngspice input file to standard output which describes a sub-circuit for coupled lines using uncoupled simple lossy lines.

Each generated subcircuit models a 4-conductor transmission line with the following parameters: length l, line capacitance c, line resistance r, line conductance g, inductive_coeff_of_coupling k, inter-line capacitance cm, length l. Derived parameters are: lm, ctot. The values of l, c, the model name, the number of conductors and the length of the line must be specified.

It is important to note that the model is a simplified one - the following assumptions are made: 1. The self-inductance l, the self-capacitance ctot (note: not c), the series resistance r and the parallel capacitance g are the same for all lines, and 2. Each line is coupled only to the two lines adjacent to it, with the same coupling parameters cm and lm. The first assumption implies that edge effects have to be neglected. The utility of these assumptions is that they make the sL+R and sC+G matrices symmetric, tridiagonal and Toeplitz, with useful consequences (see the paper referenced below).

It may be noted that a symmetric two-conductor line is represented accurately by this model.

Standard C language scientific (exponent) notation may be used for options' numeric values.

OPTIONS

-osubcircuit_name
    Set the subcircuit name

-lline_inductance
    Set the line inductance.

-cline_capacitance
    Set the line capacitance.

-rline_resistance
    Set the line resistance.

-gline_conductance
    Set the line conductance.

-kinductive_coefficient_of_coupling
    Set the value of the inductive coefficient of coupling, whose absolute value k must be less than 1.0.

-xline-to-line-capacitance
    Set the line-to-line capacitance.

-Llength
    Set the length of the line.

-nnumber
    Set the number of conductors.

-u  Write a usage message to standard error.

EXAMPLE
    ngmultidec -n4 -l9e9 -c20e-12 -r5.3 -x5e12 -k0.7 -otest -L5.4 > test.cir

SEE ALSO
Efficient Transient Simulation of Lossy Interconnect,
J.S. Roychowdhury and D.O. Pederson,
Proceedings of the Design Automation Conference,
pp. 740-745.
1991.
http://portal.acm.org/citation.cfm?doid=127601.127762

ngnutmeg(1), ngproc2mod(1), ngsconvert(1), ngspice(1), nghelp(1).